%define upstream_name	 MIME-Explode
%define	upstream_version 0.39

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl extension for explode MIME messages
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
MIME::Explode is perl module for parsing and decoding single or multipart
MIME messages, and outputting its decoded components to a given directory
ie, this module is designed to allows users to extract the attached files
out of a MIME encoded email messages or mailboxes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%doc Changes META.yml README examples
%{perl_vendorarch}/MIME
%{perl_vendorarch}/auto/MIME
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.390.0-3.mga3
+ Revision: 369325
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.390.0-2.mga3
+ Revision: 250950
- rebuild for perl 5.16

* Mon Jun 27 2011 jquelin <jquelin> 0.390.0-1.mga2
+ Revision: 114636
- update to 0.39

* Fri Jun 17 2011 pterjan <pterjan> 0.380.0-3.mga2
+ Revision: 108568
- Fix build with perl 5.14

  + jquelin <jquelin>
    - remove %%clean

  + sander85 <sander85>
    - Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.380.0-2.mga1
+ Revision: 30759
- mageia rebuild
- imported package perl-MIME-Explode

